Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.servlet
Class ServletDirectoryFrame

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.tools.resources.FramedResource
                        |
                        +--org.w3c.tools.resources.ResourceFrame
                              |
                              +--org.w3c.tools.resources.ProtocolFrame
                                    |
                                    +--org.w3c.jigsaw.frames.HTTPFrame
                                          |
                                          +--org.w3c.jigsaw.servlet.ServletDirectoryFrame

public class ServletDirectoryFrame
extends HTTPFrame

Field Summary
`protected javax.servlet.ServletContext` | `servletContext` The servlet Context.
`protected javax.servlet.http.HttpSessionContext` | `sessionContext` The Session Context.

Fields inherited from class org.w3c.jigsaw.frames.HTTPFrame
`acceptRanges, allowed, ATTR_ALLOW_DEL, ATTR_BROWSABLE, ATTR_CHARSET, ATTR_CONTENT_ENCODING, ATTR_CONTENT_LANGUAGE, ATTR_CONTENT_LENGTH, ATTR_CONTENT_TYPE, ATTR_ICON, ATTR_ICONDIR, ATTR_INDEX, ATTR_INDEXES, ATTR_MAXAGE, ATTR_MD5, ATTR_PUTABLE, ATTR_QUALITY, ATTR_RELOCATE, ATTR_STYLE_LINK, ATTR_TITLE, browsetype, COND_FAILED, COND_OK, COND_WEAK, dresource, fresource, listing, listing_stamp, STATE_CONTENT_LOCATION`

Fields inherited from class org.w3c.tools.resources.ResourceFrame
`filterClass, frameListener, resource`

Fields inherited from class org.w3c.tools.resources.FramedResource
`ATTR_OID, attrListener, debugEvent, event_disabled, framesRef, structListener`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL, co, id`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, values`

Constructor Summary
`ServletDirectoryFrame()`

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String name)` ServletContext implementation - Get an attribute value.
`protected javax.servlet.http.HttpSessionContext` | `getHttpSessionContext()`
`java.lang.String` | `getServerInfo()` ServletContext implementation - Get server informations.
`javax.servlet.Servlet` | `getServlet(java.lang.String name)` ServletContext implementation - Lookup a given servlet.
`protected javax.servlet.ServletContext` | `getServletContext()`
`java.util.Enumeration` | `getServletNames()` ServletContext implementation - Enumerate all servlets names within context.
`protected ServletProps` | `getServletProps()`
`java.util.Enumeration` | `getServlets()` ServletContext implementation - Enumerate all servlets within context.
`boolean` | `isServletLoaded(java.lang.String name)` Lookup a given servlet without accessing it.
`void` | `registerResource(FramedResource resource)` Register the resource and add ServletProperties in httpd.
`protected void` | `updateDefaultChildAttributes(java.util.Hashtable attrs)` We add a context attribute to all our children.

Methods inherited from class org.w3c.jigsaw.frames.HTTPFrame
`addStyleSheet, attributeChanged, browse, checkExpect, checkIfMatch, checkIfModifiedSince, checkIfNoneMatch, checkIfUnmodifiedSince, checkRequest, checkValidators, computeContainerListing, computeETag, computeTrashDir, computeTrashFile, createDefaultReply, createFileReply, delete, deleteDirectoryResource, deleteFileResource, deleteMe, deleteOtherResource, extended, get, getAllow, getAllowDeleteFlag, getBrowsableFlag, getBrowseType, getCharset, getContentEncoding, getContentLanguage, getContentLength, getContentType, getDirectoryListing, getDirectoryResource, getDirectoryResource, getETag, getFileResource, getFileResource, getHelpURL, getHelpURL, getIcon, getIconDirectory, getIndex, getIndexes, getMaxAge, getMD5Flag, getOtherResource, getPutableFlag, getQuality, getRelocateFlag, getStyleSheetURL, getTitle, getURL, handleRangeRequest, head, headDirectoryResource, headFileResource, headOtherResource, initialize, link, lookup, lookupDirectory, lookupFile, lookupOther, lookupResource, options, perform, performFrames, pickleValues, post, put, putFileResource, putOtherResource, registerOtherResource, setValue, trace, unlink, updateCachedHeaders`

Methods inherited from class org.w3c.tools.resources.ResourceFrame
`addFrameEventListener, eventDisabled, fireFrameEvent, frameModified, getFilters, getFilters, getFrameReference, getResource, getResourceReference, getSpaceEntry, getURLPath, lookupFilters, lookupFrames, postFrameEvent, processEvent, removeFrameEventListener, unregisterResource`

Methods inherited from class org.w3c.tools.resources.FramedResource
`addAttributeChangedListener, addStructureChangedListener, collectFramesReference, delete, disableEvent, displayEvent, enableEvent, fireAttributeChangeEvent, fireStructureChangedEvent, fireStructureChangedEvent, frameAdded, frameRemoved, getClone, getFrame, getFrame, getFrameReference, getFrameReference, getFramesReference, getOid, initialize, markModified, notifyUnload, postAttributeChangeEvent, postEvent, postStructureChangedEvent, postStructureChangedEvent, registerFrame, registerFrameIfNone, removeAttributeChangedListener, removeStructureChangedListener, setSilentValue, setSilentValue, unregisterFrame`

Methods inherited from class org.w3c.tools.resources.Resource
`acceptUnload, checkMultipleLock, collectFrames, getContext, getFrame, getFrames, getIdentifier, getLastModified, getParent, getServer, getSpace, getStoreEntry, getValue, getValue, isInitialized, isUnloaded, setContext, setContext, setValue, unsafeGetContext, unsafeGetIdentifier, unsafeGetValue, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, lookupAttribute, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, unsafeGetString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### servletContext

    protected javax.servlet.ServletContext servletContext

  The servlet Context.

### sessionContext

    protected javax.servlet.http.HttpSessionContext sessionContext

  The Session Context.

Constructor Detail

### ServletDirectoryFrame

    public ServletDirectoryFrame()

Method Detail

### registerResource

    public void registerResource(FramedResource resource)

  Register the resource and add ServletProperties in httpd.
  Overrides:
    registerResource in class HTTPFrame
  Parameters:
    `resource` - The resource to register.

### getServlet

    public javax.servlet.Servlet getServlet(java.lang.String name)

  ServletContext implementation - Lookup a given servlet.

### isServletLoaded

    public boolean isServletLoaded(java.lang.String name)

  Lookup a given servlet without accessing it.
  Returns:
    true if and only if loading was successful

### getServlets

    public java.util.Enumeration getServlets()

  ServletContext implementation - Enumerate all servlets within context.

### getServletNames

    public java.util.Enumeration getServletNames()

  ServletContext implementation - Enumerate all servlets names within context.

### getServerInfo

    public java.lang.String getServerInfo()

  ServletContext implementation - Get server informations.

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  ServletContext implementation - Get an attribute value. We map this into the ServletWrapper attributes, without support for name clashes though.
  Parameters:
    `name` - The attribute name.

### getHttpSessionContext

    protected javax.servlet.http.HttpSessionContext getHttpSessionContext()

### getServletProps

    protected ServletProps getServletProps()

### getServletContext

    protected javax.servlet.ServletContext getServletContext()

### updateDefaultChildAttributes

    protected void updateDefaultChildAttributes(java.util.Hashtable attrs)

  We add a context attribute to all our children. The context attribute is any object implementing the ServletContext interface.
  Overrides:
    updateDefaultChildAttributes in class ResourceFrame
  Tags copied from class: ResourceFrame
  Parameters:
    `attrs` - A Hashtable.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD